<?xml version="1.0" encoding="UTF-8"?>
<ApprovalProcess xmlns="http://soap.sforce.com/2006/04/metadata">
    <active>true</active>
    <allowRecall>true</allowRecall>
    <allowedSubmitters>
        <type>owner</type>
    </allowedSubmitters>
    <allowedSubmitters>
        <submitter>EchoStarSystemAdministrator</submitter>
        <type>roleSubordinatesInternal</type>
    </allowedSubmitters>
    <approvalPageFields>
        <field>Name</field>
        <field>Owner</field>
    </approvalPageFields>
    <approvalStep>
        <allowDelegate>false</allowDelegate>
        <assignedApprover>
            <approver>
                <name>geoffrey.boldon@dish.com</name>
                <type>user</type>
            </approver>
            <approver>
                <name>stephen.rudberg@dish.com</name>
                <type>user</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <label>Step 1</label>
        <name>Step_1</name>
    </approvalStep>
    <emailTemplate>Operations/Account_Ownership_Submitted_for_Approval</emailTemplate>
    <enableMobileDeviceAccess>false</enableMobileDeviceAccess>
    <entryCriteria>
        <criteriaItems>
            <field>Account.Name</field>
            <operation>notEqual</operation>
            <value>chewy</value>
        </criteriaItems>
    </entryCriteria>
    <finalApprovalActions>
        <action>
            <name>Approval_Status_Field2</name>
            <type>FieldUpdate</type>
        </action>
        <action>
            <name>Start_Owner_Update_Process</name>
            <type>FieldUpdate</type>
        </action>
        <action>
            <name>Text_Value_Name</name>
            <type>FieldUpdate</type>
        </action>
    </finalApprovalActions>
    <finalApprovalRecordLock>false</finalApprovalRecordLock>
    <finalRejectionActions>
        <action>
            <name>Approval_Reject</name>
            <type>FieldUpdate</type>
        </action>
        <action>
            <name>Uncheck_Owner_Request_Box</name>
            <type>FieldUpdate</type>
        </action>
    </finalRejectionActions>
    <finalRejectionRecordLock>false</finalRejectionRecordLock>
    <initialSubmissionActions>
        <action>
            <name>Account_Ownership_submitted_for_approval</name>
            <type>Alert</type>
        </action>
        <action>
            <name>Approval_Status</name>
            <type>FieldUpdate</type>
        </action>
    </initialSubmissionActions>
    <label>Fiber Ownership Change Request</label>
    <nextAutomatedApprover>
        <useApproverFieldOfRecordOwner>false</useApproverFieldOfRecordOwner>
        <userHierarchyField>Manager</userHierarchyField>
    </nextAutomatedApprover>
    <processOrder>1</processOrder>
    <recallActions>
        <action>
            <name>Uncheck_Owner_Request_Box3</name>
            <type>FieldUpdate</type>
        </action>
    </recallActions>
    <recordEditability>AdminOnly</recordEditability>
    <showApprovalHistory>true</showApprovalHistory>
</ApprovalProcess>
